org.apache.ignite.internal.processors.cache.query

## Class IndexQueryDesc

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.query.IndexQueryDesc

All Implemented Interfaces:
  Serializable

    public class IndexQueryDesc
    extends Object
    implements Serializable

Internal representation of `IndexQuery`.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`IndexQueryDesc(List<IndexQueryCriterion> criteria, String idxName, String valType)`

### Method Summary

All Methods Instance Methods Concrete Methods
`List<IndexQueryCriterion>` `criteria()`
`String` `idxName()`
`String` `toString()`
`String` `valType()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### IndexQueryDesc

    public IndexQueryDesc(List<IndexQueryCriterion> criteria,
                          String idxName,
                          String valType)

### Method Detail

#### criteria

    public List<IndexQueryCriterion> criteria()

#### idxName

    public String idxName()

#### valType

    public String valType()

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.13.0
Release Date | : April 20 2022